\documentclass{standalone}
\usepackage{pgfplots}

\usepackage{efbox,graphicx}
\efboxsetup{linecolor=black,linewidth=2pt}

\pgfplotsset{compat=1.8}

\begin{document}

\begin{tikzpicture}

    \def\w{15};    % width of axes
    \def\n{4};    % number of ticks
    \def\lt{0.40}; %  interpolation node tick length
    \def\lo{0.10}; %  one tick length
    
    % grid
    % \draw[step=\w/\n/4,black,thin, color=gray, opacity=0.25] (0,0) grid (4*\w/\n,1.75*\w/\n);
    \draw[step=\w/\n/4,black,thin, color=gray, opacity=0.25] (0,0) grid (\w*1.03,1.75*\w/\n);
    % \draw[thick] (-\w*0.03,0) rectangle (\w*1.03,1.75*\w/\n);

    % axis
    \draw[-, thick] (-\w*0.03,0) -- (\w*1.03,0);
    \draw[-{stealth[scale=4]}, line width=.6mm, align=left] (0,0-.4) -- (0,7);
    \draw[-{stealth[scale=4]}, line width=.6mm] (-\w*0.03-.1,0) -- (\w*1.03+.3,0);

    \node[rotate=90, align=center] at (-.8,5) {\large Qualitative \\ \large Function Value};

    % ticks
    \foreach \tick in {0,1,...,\n}{
        \def\x{{\tick*\w/\n}}
        \draw[ultra thick] (\x,\lt) -- (\x,-\lt/2); % ten tick
    
        \ifnum \tick<\n
        % \draw[thick] ({(\x+\w/\n/2)},0) -- ({(\x+\w/\n/2)},\lf); % five tick
        \foreach \ticko in {1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20}{
            \def\xo{{(\x+\ticko*\w/\n/20)}}
            \draw[thick] (\xo,0) -- (\xo,\lo);  % one tick
        }\fi
    }

    % interpolation function
    \draw[-,very thick,dotted,blue] plot [smooth, tension=1] coordinates { (0,3) (\w/\n,2) (2*\w/\n,5) (3*\w/\n,4) (4*\w/\n,5.5)};
    % real function
    \draw[-,thick, red] plot [smooth, tension=0] coordinates { (0,3) (\w/\n,2) (2*\w/\n,5) (3*\w/\n,4) (4*\w/\n,5.5)};

    %interpolation condition
    \foreach \Point in {(0,3), (\w/\n,2), (2*\w/\n,5), (3*\w/\n,4), (4*\w/\n,5.5)}{
        \node[scale=2] at \Point {\textbullet};
    }

    % label
    \node at (2*\w/\n,-0.5cm) {\large Parameter Space};


\end{tikzpicture}
\end{document}
